%define		php_name	php%{?php_suffix}
%define		modname	markdown
%define		status		stable
Summary:	%{modname} - a fast Markdown parser
Summary(pl.UTF-8):	%{modname} - szybki parser Markdown
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.0
Release:	5
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	cc8e4575f63c5809dcb62d146a9d04eb
URL:		http://pecl.php.net/package/markdown/
BuildRequires:	%{php_name}-devel >= 4:5.2.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-markdown < 1.0.0-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Markdown is an extension to parse a Markdown text, from a string or a
file. It is fast and has a simple API.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Markdown to rozszerzenie umożliwiające parsowanie pochodzącego z
łańcucha znaków lub pliku tekstu Markdown. Rozszerzenie to jest
szybkie i posiada proste w użyciu API.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=discount.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/discount.so
%changelog
* Mon May 26 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-markdown.git;a=log;h=auto/th/php-pecl-markdown-1.0.0-5

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> c82dd50
- obsolete old php name
- release 5 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> 6757e6f
- php 5.5 rebuild
- release 4 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 978400e
- provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 2639a94
- support building for multiple php versions

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> cb0f77e
- release 2 (by relup.sh)

* Sat Jun 09 2012 Łukasz Kieś <kiesiu@pld-linux.org> 5109271
- updated to 1.0.0
- changed license to New BSD

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 57112b4
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 4d50ed3
- release 2

* Sat Apr 11 2009 Elan Ruusamäe <glen@pld-linux.org> 322303c
- php license version

* Sat Apr 11 2009 Elan Ruusamäe <glen@pld-linux.org> 8e29644
- php epoch

* Sat Apr 11 2009 Elan Ruusamäe <glen@pld-linux.org> 7896789
- cleanup, php version

* Sat Apr 11 2009 Adam Gołębiowski <adamg@pld-linux.org> cc59b0c
- new

